
      subroutine test1()
      stop
      end

      subroutine test2()
      stop 9
      end

      subroutine test3()
      stop 'some message'
      end

      subroutine test4()
      print *, rand()
      end

      subroutine test5()
      open(1, FILE="/tmp/foo")
      write(1,*) 1, 3.145
      read(1, *) II, RR
      rewind(1)
      close(1)
      end

c More esoteric Fortran I/O, extracted from the Oracle manual
c https://docs.oracle.com/cd/E19957-01/805-4939/6j4m0vnc6/index.html
c direct access I/O
      subroutine test6
      integer u/4/, v /5/, w /6/, x /7/, y /8/, z /9/
      open( 1, access='DIRECT', recl=8 )
      write( 1, rec=1 ) u, v
      write( 1, rec=2 ) w, x
      write( 1, rec=3 ) y, z
      close(1)
      end

c list-directed I/O
      subroutine test7
      READ ( 5, * ) X 
      WRITE( 6, * ) X, '    beauty' 
      WRITE( 6, 1 ) X 
 1    FORMAT( 1X, F13.8, ' truth' ) 
      END 

c  via a namelist
      subroutine test8
      CHARACTER*8 SAMPLE 
      LOGICAL*4 NEW 
      REAL*4 DELTA 
      NAMELIST /CASE/ SAMPLE, NEW, DELTA 
      DATA SAMPLE /'Demo'/, NEW /.TRUE./, DELTA /0.1/ 
      WRITE ( *, CASE ) 
      END 

      subroutine test9
      CHARACTER*14 SAMPLE 
      LOGICAL*4 NEW 
      REAL*4 DELTA, MAT(2,2) 
      NAMELIST /CASE/ SAMPLE, NEW, DELTA, MAT 
      READ ( 1, CASE )
      end
 
c     The f90/f2018 system RNG

      subroutine test10
      implicit none
      real :: r(5,5)
      integer, allocatable :: seed(:)
      integer :: n
 
      call random_seed(size = n)
      allocate(seed(n))
      call random_seed(get = seed)

      call random_number(r)
      end

      subroutine test11
      implicit none
      real x(3)
      call random_init(.true., .true.)
      call random_number(x)
      end
